Bug 483033 - Review Request: pinentry - Collection of simple PIN or passphrase entry dialogs
Review Request: pinentry - Collection of simple PIN or passphrase entry dialogs
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
5.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Miloslav Trmač
:
Depends On:
Blocks: 188273 484188 484234
  Show dependency treegraph
 
Reported: 2009-01-29 08:07 EST by Peter Vrabec
Modified: 2009-04-01 05:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 05:04:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2009-01-29 08:07:17 EST
Spec URL: http://people.redhat.com/pvrabec/gnupg2/pinentry.spec
SRPM URL: http://people.redhat.com/pvrabec/gnupg2/pinentry-0.7.3-2.fc9.src.rpm

Description: 
Pinentry is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.
This package contains the GTK+ GUI based version of the PIN entry dialog.
Comment 1 Miloslav Trmač 2009-01-29 14:45:33 EST
* rpmlint output:
pinentry.x86_64: W: dangling-symlink /usr/bin/pinentry /etc/alternatives/pinentry
pinentry.x86_64: W: symlink-should-be-relative /usr/bin/pinentry /etc/alternatives/pinentry
(same warnings for the two other binary packages)
This symlink is a %ghost, so the contents of the symlink don't matter.

* blocker: Source* is inaccessible - use ftp:// instead of http://

(* should: upstream comment about pinentry-info.patch -- but looking at 0.7.4 in Fedora, the patch was accepted upstream, so it's not necessary to worry about it)

* blocker: install-info should be in %preun, not %postun
  I'm not sure about update-alternatives, but I don't think moving it to %preun
  as well would hurt.

* blocker: pinentry-gtk contains /usr/bin/pinentry-gtk, which is a symlink
  to a non-existent pinentry-gtk-2
Comment 2 Peter Vrabec 2009-02-04 13:58:53 EST
Spec URL: http://people.redhat.com/pvrabec/gnupg2/pinentry.spec
SRPM URL: http://people.redhat.com/pvrabec/gnupg2/pinentry-0.7.3-3.fc9.src.rpm

I was not able to reproduce symlink problem, but I add pinentry-gtk-2 entry into  gtk files section. So, if the problem appears again, it we will catch during package build.

* Tue Feb 03 2009 Peter Vrabec <pvrabec@redhat.com> - 0.7.3-3
- fix source url
- move postun to preun, mainly because of install-info
- add pinentry-gtk-2 entry into gtk files section
Comment 3 Miloslav Trmač 2009-02-06 06:01:07 EST
Thanks.

The s/postun/preun change is incomplete: s/Requires(postun)/Requires(preun)/g .

Conditionally approved, assuming the above is fixed.
Comment 4 Peter Vrabec 2009-03-27 08:58:53 EDT
pinentry-0.7.3-3.el5 was built
https://brewweb.devel.redhat.com/buildinfo?buildID=83209

Note You need to log in before you can comment on or make changes to this bug.